# Maintainer: Felix Yan <felixonmars@archlinux.org>

_hkgname=json-ast
pkgname=haskell-json-ast
pkgver=0.3.1
pkgrel=206
pkgdesc="Universal JSON AST datastructure"
url="https://github.com/nikita-volkov/json-ast"
license=('MIT')
arch=('x86_64')
depends=('ghc-libs' 'haskell-vector' 'haskell-scientific' 'haskell-unordered-containers')
makedepends=('ghc')
source=(https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz)
sha512sums=('f990fce176af4e63f702533b40ab3e64c38dc9a8815eddc4093a41060efffde2b3e88ebb1f6e10229f5026e15c26aa937de97a4f32ab1837efa5cab2371c7970')

build() {
    cd $_hkgname-$pkgver
    
    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
        --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir=$pkgname \
        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm
    runhaskell Setup build $MAKEFLAGS
    runhaskell Setup register --gen-script
    runhaskell Setup unregister --gen-script
    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
}

package() {
    cd $_hkgname-$pkgver
    
    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
    runhaskell Setup copy --destdir="$pkgdir"
    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
}
